ilheader(1)

NAME
ilheader - the Intermediate Language (IL) header utility

SYNOPSIS
ilheader [ options ] input output.h

DESCRIPTION
Ilheader generates a .h file from an IL object file (.obj), an IL executable (.exe), or an IL dynamic link library (.dll). The header file imports the definitions from the IL binary so that they are accessible from C programs.

OPTIONS

-a, --aliases
    Define shortened type aliases for classes within namespaces. The program outputs type names in the form "namespace_name". This option will cause the program to also output aliases of the form "name".

--help
    Print a usage message for the header program.

-v, --version
    Print the version of the ilheader program.

--  Marks the end of the command-line options, and the beginning of the input filenames. You may need to use this if your filename begins with '-'. e.g. "ilheader -- -input.dll -". This is not needed if the input is stdin: "ilheader - output.h" is perfectly valid.

AUTHOR
Written by Southern Storm Software, Pty Ltd. http://www.southern-storm.com.au/

SEE ALSO
ilasm(1), ildasm(1), ilsize(1), cscc(1)

DIAGNOSTICS
Exit status is 1 if an error occurred while processing the input. Otherwise the exit status is 0. See the manual page for ilsize(1) for a complete list of errors that may occur when loading an IL image file.